﻿
using System;
using System.IO;
using Wisej.Web;

namespace CameraSample
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void camera1_CameraError(object sender, WidgetEventArgs e)
		{
			AlertBox.Show($"Camera: {e.Data}");
		}

		private void startButton_Click(object sender, EventArgs e)
		{
			this.camera1.StartRecording("video/webm", updateInterval: 1000);

			AlertBox.Show("recording...");
		}

		private async void pictureButton_Click(object sender, EventArgs e)
		{
			var image = await this.camera1.GetImageAsync();

			this.pictureBox1.Image = image;
		}

		private void stopButton_Click(object sender, EventArgs e)
		{
			this.camera1.StopRecording();

			AlertBox.Show("finished recording...");
		}

		private void camera1_Uploaded(object sender, UploadedEventArgs e)
		{
			var path = Application.MapPath("video.webm");

			using (var stream = new StreamWriter(path))
			{
				e.Files[0].InputStream.CopyTo(stream.BaseStream);
			}

			this.video1.SourceURL = "video.webm";
		}

		private void camera1_Progress(object sender, UploadProgressEventArgs e)
		{
			this.progressBar1.Maximum = (int)e.Total;
			this.progressBar1.Value = (int)e.Loaded;
		}

		private void camera1_Error(object sender, Wisej.Web.Ext.Camera.CameraErrorEventArgs e)
		{
			AlertBox.Show(e.Message, icon: MessageBoxIcon.Error);
		}
	}
}
